> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get a user by query parameters.

Currently supports:
- email: Get user by email address

Additional query parameters can be added in the future.



## OpenAPI

````yaml /openapi/api.json get /v1/users/
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/users/:
    get:
      tags:
        - Teams
        - users
      summary: Get User
      description: |-
        Get a user by query parameters.

        Currently supports:
        - email: Get user by email address

        Additional query parameters can be added in the future.
      operationId: get_user_v1_users__get
      parameters:
        - name: email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Email address of the user to retrieve
            title: Email
          description: Email address of the user to retrieve
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        is_verified:
          type: boolean
          title: Is Verified
          default: false
        given_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Name
        family_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Family Name
        external_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External User Id
        profile_image:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Profile Image
        password_change_required:
          type: boolean
          title: Password Change Required
          default: false
        is_super_admin:
          type: boolean
          title: Is Super Admin
          default: false
      type: object
      required:
        - id
        - email
      title: UserRead
      description: Returned to clients when reading user info.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````